
QGIS Application - Bug report #18447

"Object has too many attribute" (saving joined layers)

2018-03-15 09:20 AM - Philipp Lehner

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.2.1 Regression?: Yes

Operating System: Win 10 Home, 64 bit, Version 1709 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26335

Description

I have joined two layers (point (Geopackage or Spatialite) joined with a table (no geometry)). Each layer has a lot of fields. When I save a

new added point I get the message "Object has too many attribute". Saving works.

It works with QGIS 2.18 but not with 3.0

_Ich habe zwei Layer (Punkt (Geopackage oder SpatiaLite) mit einer Tabelle (keine Geometrie) verbunden (Beziehung und

Verknüpfung)). Jeder Layer hat viele Felder. Wenn ich einen neu hinzufügten Punkt speichere, erscheint die Meldung "Objekt hat zu viele

Attribute, erwarte 47, empfangen 141". Speichern funktioniert.

Es funktioniert mit QGIS 2.18, aber nicht in 3.0_

History

#1 - 2018-03-15 12:02 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

Can you please attach sample data/project that shows the issue? thanks.

#2 - 2018-03-15 02:13 PM - Philipp Lehner

- Assignee set to Giovanni Manghi

- File 180315_data-18447.zip added

Data attached. Thanks!

#3 - 2018-08-16 02:15 PM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

- Category changed from Editing to Vectors

Same thing on 3.2?

#4 - 2018-08-16 02:45 PM - Philipp Lehner
Problem is still existing in 3.2

#5 - 2018-08-20 10:41 AM - Giovanni Manghi

- Affected QGIS version changed from 3.0.0 to 3.2.1

#6 - 2018-08-20 10:41 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Subject changed from Too many attributes (saving joined layers) to "Object has too many attribute" (saving joined layers)

#7 - 2018-10-28 02:25 PM - Philipp Lehner

- Status changed from Open to Closed

First test with 3.4: Problem seems to be solved, no error message anymore, no problems with saving. Thank you very much!

Files

180315_data-18447.zip 41.1 KB 2018-03-15 Philipp Lehner
